Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class LabelPlacement

    java.lang.Object
      org.deegree.graphics.sld.LabelPlacement

All Implemented Interfaces:
  Marshallable

    public class LabelPlacement

extends Object
implements Marshallable

Used to position a label relative to a point or a line string. For a point, you can specify the anchor point of the label and a linear displacement from the point (so that you can also plot a graphic symbol at the point). For a line-string placement, you can specify a perpendicular offset (so you can draw a stroke on the line). MORE PARAMETERS ARE PROBABLY NEEDED HERE.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Markus Schneider

Constructor Summary
`LabelPlacement(LinePlacement linePlacement)` constructor initializing the class with the
`LabelPlacement(PointPlacement pointPlacement)` constructor initializing the class with the

Method Summary
`String` | `exportAsXML()` exports the content of the Font as XML formated String
`LinePlacement` | `getLinePlacement()` For a LinePlacement, a perpendicular offset can be specified, to allow the line itself to be plotted also.
`PointPlacement` | `getPointPlacement()` For a PointPlacement, the anchor point of the label and a linear displacement from the point can be specified, to allow a graphic symbol to be plotted directly at the point.
`void` | `setLinePlacement(LinePlacement linePlacement)` sets
`void` | `setPointPlacement(PointPlacement pointPlacement)` sets

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelPlacement

    public LabelPlacement(PointPlacement pointPlacement)

  constructor initializing the class with the

  Parameters:
    `pointPlacement` -

### LabelPlacement

    public LabelPlacement(LinePlacement linePlacement)

  constructor initializing the class with the

  Parameters:
    `linePlacement` -

Method Detail

### getPointPlacement

    public PointPlacement getPointPlacement()

  For a PointPlacement, the anchor point of the label and a linear displacement from the point can be specified, to allow a graphic symbol to be plotted directly at the point. This might be useful to label a city, for example.

  Returns:
    the pointplacement for the label

### setPointPlacement

    public void setPointPlacement(PointPlacement pointPlacement)

  sets

  Parameters:
    `pointPlacement` - the pointplacement for the label

### getLinePlacement

    public LinePlacement getLinePlacement()

  For a LinePlacement, a perpendicular offset can be specified, to allow the line itself to be plotted also. This might be useful for labelling a road or a river, for example.

  Returns:
    the lineplacement for the label

### setLinePlacement

    public void setLinePlacement(LinePlacement linePlacement)

  sets

  Parameters:
    `linePlacement` - the lineplacement for the label

### exportAsXML

    public String exportAsXML()

  exports the content of the Font as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the Font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org